package arm_test

import (
	"testing"

	"git.urbach.dev/cli/q/src/arm"
	"git.urbach.dev/go/assert"
)

func TestARM(t *testing.T) {
	assert.DeepEqual(t, arm.Call(0), 0x94000000)
	assert.DeepEqual(t, arm.Nop(), 0xD503201F)
	assert.DeepEqual(t, arm.Return(), 0xD65F03C0)
	assert.DeepEqual(t, arm.Syscall(), 0xD4000001)
}
